var cp = require('child_process'),
    worker;

function spawn(server) {
    //ػIPCͨ˫ͨ
    worker = cp.spawn('node', [ server ], {
        stdio: [ 0, 1, 2, 'ipc' ]
    });

    //ӽ̣ʱ
    worker.on('exit', function (code) {
        if (code !== 0) {
            console.log('worker is shut down, restarting...');
            spawn(server);//
        };
    });

    //յӽϢ
    worker.on('message', function (msg) {
        console.log(msg);
    });
};

function main() {
    spawn('./bin/www'); //ҪػĽļ
    process.on('SIGTERM', function () {
        worker.kill();
        process.exit(0);
    });
};

main();